jquery – TypeError:$(…).autocomplete不是一个函数 - 代码日志

jquery – TypeError:$(…).autocomplete不是一个函数

我在Drupal模块中使用以下代码获得上述错误。

jQuery(document).ready(function($) {
        $("#search_text").autocomplete({
            source:results,
            minLength:2,
            position: { offset:'-30 0' },  
            select: function(event, ui ) { 
                    goTo(ui.item.value);
                    return false;
            }        
    }); 
});

Jquery是加载的,我已经尝试使用不同的变量$ – 任何想法还有什么可能的问题?

(编辑)自动完成的Drupal具体答案:

drupal_add_library('system', 'ui.autocomplete');
你错过了jquery ui图书馆。使用Jquery UI的CDN,或者您想要在本地,然后从Jquery Ui下载文件

<link href="http://code.jquery.com/ui/1.10.2/themes/smoothness/jquery-ui.css" rel="Stylesheet"></link>
<script src="YourJquery source path"></script>
<script src="http://code.jquery.com/ui/1.10.2/jquery-ui.js" ></script>
http://stackoverflow.com/questions/16300586/typeerror-autocomplete-is-not-a-function

本站文章除注明转载外,均为本站原创或编译
转载请明显位置注明出处:jquery – TypeError:$(…).autocomplete不是一个函数